hpp-python: pyhpp::manipulation::PyWGraph Struct Reference

hpp-python 9.0.2 python bindings for HPP, based on boost python

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
pyhpp::manipulation::PyWGraph Struct Reference

Python wrapper for Graph. More...

`#include <pyhpp/manipulation/graph.hh>`

## Public Types
typedef hpp::constraints::ImplicitPtr_t | ImplicitPtr_t
typedef hpp::constraints::NumericalConstraints_t | NumericalConstraints_t

## Public Member Functions
| PyWGraph (const GraphPtr_t &object)
| PyWGraph (const std::string &name, const PyWDevicePtr_t &d, const PyWProblemPtr_t &problem)
void | maxIterations (size_type iterations)
size_type | maxIterations () const
void | errorThreshold (const value_type &threshold)
value_type | errorThreshold () const
PyWStatePtr_t | createState (const std::string &nodeName, bool waypoint, int priority)
PyWEdgePtr_t | createTransition (PyWStatePtr_t nodeFrom, PyWStatePtr_t nodeTo, const std::string &transitionName, int w, PyWStatePtr_t isInState)
PyWEdgePtr_t | createWaypointTransition (PyWStatePtr_t nodeFrom, PyWStatePtr_t nodeTo, const std::string &edgeName, int nb, int w, PyWStatePtr_t isInState, bool automaticBuilder)
PyWEdgePtr_t | createLevelSetTransition (PyWStatePtr_t nodeFrom, PyWStatePtr_t nodeTo, const std::string &edgeName, int w, PyWStatePtr_t isInState)
void | setContainingNode (PyWEdgePtr_t edge, PyWStatePtr_t node)
std::string | getContainingNode (PyWEdgePtr_t edge)
void | setShort (PyWEdgePtr_t edge, bool isShort)
bool | isShort (PyWEdgePtr_t edge)
boost::python::tuple | getNodesConnectedByTransition (PyWEdgePtr_t edge)
void | setWeight (PyWEdgePtr_t edge, int weight)
size_t | getWeight (PyWEdgePtr_t edge)
void | setWaypoint (PyWEdgePtr_t waypointEdge, int index, PyWEdgePtr_t edge, PyWStatePtr_t state)
void | addNumericalConstraintsToGraph (const boost::python::list &py_constraints)
PyWEdgePtr_t | getTransition (const std::string &edgeName)
PyWStatePtr_t | getState (const std::string &stateName)
boost::python::list | getTransitions ()
boost::python::list | getStates ()
boost::python::list | getTransitionNames ()
boost::python::list | getStateNames ()
std::string | getStateFromConfiguration (ConfigurationIn_t input)
void | addNumericalConstraint (PyWStatePtr_t node, const ImplicitPtr_t &constraint)
void | addNumericalConstraintsToState (PyWStatePtr_t component, const boost::python::list &py_constraints)
void | addNumericalConstraintsToTransition (PyWEdgePtr_t component, const boost::python::list &py_constraints)
void | addNumericalConstraintsForPath (PyWStatePtr_t component, const boost::python::list &py_constraints)
void | resetConstraints (PyWStatePtr_t component)
void | registerConstraints (const ImplicitPtr_t &constraint, const ImplicitPtr_t &complement, const ImplicitPtr_t &both)
boost::python::tuple | createPlacementConstraint (const std::string &name, const boost::python::list &py_surface1, const boost::python::list &py_surface2, const value_type &margin)
ImplicitPtr_t | createPrePlacementConstraint (const std::string &name, const boost::python::list &py_surface1, const boost::python::list &py_surface2, const value_type &width, const value_type &margin)
boost::python::tuple | createPlacementConstraint1 (const std::string &name, const boost::python::list &py_surface1, const boost::python::list &py_surface2, const value_type &margin)
boost::python::tuple | createPlacementConstraint2 (const std::string &name, const boost::python::list &py_surface1, const boost::python::list &py_surface2)
ImplicitPtr_t | createPrePlacementConstraint1 (const std::string &name, const boost::python::list &py_surface1, const boost::python::list &py_surface2, const value_type &width, const value_type &margin)
ImplicitPtr_t | createPrePlacementConstraint2 (const std::string &name, const boost::python::list &py_surface1, const boost::python::list &py_surface2, const value_type &width)
boost::python::list | createGraspConstraint (const std::string &name, const std::string &gripper, const std::string &handle)
ImplicitPtr_t | createPreGraspConstraint (const std::string &name, const std::string &gripper, const std::string &handle)
boost::python::list | getNumericalConstraintsForState (PyWStatePtr_t component)
boost::python::list | getNumericalConstraintsForEdge (PyWEdgePtr_t component)
boost::python::list | getNumericalConstraintsForGraph ()
boost::python::tuple | getConfigErrorForState (PyWStatePtr_t component, ConfigurationIn_t input)
boost::python::tuple | getConfigErrorForTransition (PyWEdgePtr_t edge, ConfigurationIn_t input)
boost::python::tuple | getConfigErrorForTransitionLeaf (const PyWEdgePtr_t &edge, ConfigurationIn_t leafConfig, ConfigurationIn_t config) const
boost::python::tuple | getConfigErrorForTransitionTarget (const PyWEdgePtr_t &edge, ConfigurationIn_t leafConfig, ConfigurationIn_t config) const
void | addLevelSetFoliation (PyWEdgePtr_t edge, const boost::python::list &condNC, const boost::python::list &paramNC)
boost::python::list | getSecurityMarginMatrixForTransition (PyWEdgePtr_t edge)
void | setSecurityMarginForTransition (PyWEdgePtr_t edge, const char *joint1, const char *joint2, double margin)
boost::python::list | getRelativeMotionMatrix (PyWEdgePtr_t edge)
void | removeCollisionPairFromTransition (PyWEdgePtr_t edge, const char *joint1, const char *joint2)
boost::python::tuple | applyStateConstraints (PyWStatePtr_t state, ConfigurationIn_t input)
boost::python::tuple | applyLeafConstraints (PyWEdgePtr_t transition, ConfigurationIn_t q_rhs, ConfigurationIn_t input)
boost::python::tuple | generateTargetConfig (PyWEdgePtr_t transition, ConfigurationIn_t q_rhs, ConfigurationIn_t input)
void | createSubGraph (const char *subgraphName, hpp::core::RoadmapPtr_t roadmap)
void | setTargetNodeList (const boost::python::list &nodes)
std::string | displayStateConstraints (PyWStatePtr_t state)
std::string | displayTransitionConstraints (PyWEdgePtr_t edge)
std::string | displayTransitionTargetConstraints (PyWEdgePtr_t edge)
void | display (const char *filename)
void | initialize ()

## Static Public Member Functions
static PyWEdgePtr_t | transitionAtParam (hpp::core::PathVectorPtr_t path, value_type param)

## Public Attributes
std::map< std::string, std::size_t > | id
GraphPtr_t | obj
PyWDevicePtr_t | robot
PyWProblemPtr_t | problem
ConstraintsAndComplements_t | constraintsAndComplements

## Detailed Description

Python wrapper for Graph.

## Member Typedef Documentation

## ◆ ImplicitPtr_t

typedef hpp::constraints::ImplicitPtr_t pyhpp::manipulation::PyWGraph::ImplicitPtr_t

## ◆ NumericalConstraints_t

typedef hpp::constraints::NumericalConstraints_t pyhpp::manipulation::PyWGraph::NumericalConstraints_t

## Constructor & Destructor Documentation

## ◆ PyWGraph() [1/2]

pyhpp::manipulation::PyWGraph::PyWGraph | ( | const GraphPtr_t & | object | ) |

## ◆ PyWGraph() [2/2]

pyhpp::manipulation::PyWGraph::PyWGraph | ( | const std::string & | name,
|  | const PyWDevicePtr_t & | d,
|  | const PyWProblemPtr_t & | problem )

## Member Function Documentation

## ◆ addLevelSetFoliation()

void pyhpp::manipulation::PyWGraph::addLevelSetFoliation | ( | PyWEdgePtr_t | edge,
|  | const boost::python::list & | condNC,
|  | const boost::python::list & | paramNC )

## ◆ addNumericalConstraint()

void pyhpp::manipulation::PyWGraph::addNumericalConstraint | ( | PyWStatePtr_t | node,
|  | const ImplicitPtr_t & | constraint )

## ◆ addNumericalConstraintsForPath()

void pyhpp::manipulation::PyWGraph::addNumericalConstraintsForPath | ( | PyWStatePtr_t | component,
|  | const boost::python::list & | py_constraints )

## ◆ addNumericalConstraintsToGraph()

void pyhpp::manipulation::PyWGraph::addNumericalConstraintsToGraph | ( | const boost::python::list & | py_constraints | ) |

## ◆ addNumericalConstraintsToState()

void pyhpp::manipulation::PyWGraph::addNumericalConstraintsToState | ( | PyWStatePtr_t | component,
|  | const boost::python::list & | py_constraints )

## ◆ addNumericalConstraintsToTransition()

void pyhpp::manipulation::PyWGraph::addNumericalConstraintsToTransition | ( | PyWEdgePtr_t | component,
|  | const boost::python::list & | py_constraints )

## ◆ applyLeafConstraints()

boost::python::tuple pyhpp::manipulation::PyWGraph::applyLeafConstraints | ( | PyWEdgePtr_t | transition,
|  | ConfigurationIn_t | q_rhs,
|  | ConfigurationIn_t | input )

## ◆ applyStateConstraints()

boost::python::tuple pyhpp::manipulation::PyWGraph::applyStateConstraints | ( | PyWStatePtr_t | state,
|  | ConfigurationIn_t | input )

## ◆ createGraspConstraint()

boost::python::list pyhpp::manipulation::PyWGraph::createGraspConstraint | ( | const std::string & | name,
|  | const std::string & | gripper,
|  | const std::string & | handle )

## ◆ createLevelSetTransition()

PyWEdgePtr_t pyhpp::manipulation::PyWGraph::createLevelSetTransition | ( | PyWStatePtr_t | nodeFrom,
|  | PyWStatePtr_t | nodeTo,
|  | const std::string & | edgeName,
|  | int | w,
|  | PyWStatePtr_t | isInState )

## ◆ createPlacementConstraint()

boost::python::tuple pyhpp::manipulation::PyWGraph::createPlacementConstraint | ( | const std::string & | name,
|  | const boost::python::list & | py_surface1,
|  | const boost::python::list & | py_surface2,
|  | const value_type & | margin = 1e-4 )

## ◆ createPlacementConstraint1()

boost::python::tuple pyhpp::manipulation::PyWGraph::createPlacementConstraint1 | ( | const std::string & | name,
|  | const boost::python::list & | py_surface1,
|  | const boost::python::list & | py_surface2,
|  | const value_type & | margin )

## ◆ createPlacementConstraint2()

boost::python::tuple pyhpp::manipulation::PyWGraph::createPlacementConstraint2 | ( | const std::string & | name,
|  | const boost::python::list & | py_surface1,
|  | const boost::python::list & | py_surface2 )

## ◆ createPreGraspConstraint()

ImplicitPtr_t pyhpp::manipulation::PyWGraph::createPreGraspConstraint | ( | const std::string & | name,
|  | const std::string & | gripper,
|  | const std::string & | handle )

## ◆ createPrePlacementConstraint()

ImplicitPtr_t pyhpp::manipulation::PyWGraph::createPrePlacementConstraint | ( | const std::string & | name,
|  | const boost::python::list & | py_surface1,
|  | const boost::python::list & | py_surface2,
|  | const value_type & | width,
|  | const value_type & | margin = 1e-4 )

## ◆ createPrePlacementConstraint1()

ImplicitPtr_t pyhpp::manipulation::PyWGraph::createPrePlacementConstraint1 | ( | const std::string & | name,
|  | const boost::python::list & | py_surface1,
|  | const boost::python::list & | py_surface2,
|  | const value_type & | width,
|  | const value_type & | margin )

## ◆ createPrePlacementConstraint2()

ImplicitPtr_t pyhpp::manipulation::PyWGraph::createPrePlacementConstraint2 | ( | const std::string & | name,
|  | const boost::python::list & | py_surface1,
|  | const boost::python::list & | py_surface2,
|  | const value_type & | width )

## ◆ createState()

PyWStatePtr_t pyhpp::manipulation::PyWGraph::createState | ( | const std::string & | nodeName,
|  | bool | waypoint,
|  | int | priority )

## ◆ createSubGraph()

void pyhpp::manipulation::PyWGraph::createSubGraph | ( | const char * | subgraphName,
|  | hpp::core::RoadmapPtr_t | roadmap )

## ◆ createTransition()

PyWEdgePtr_t pyhpp::manipulation::PyWGraph::createTransition | ( | PyWStatePtr_t | nodeFrom,
|  | PyWStatePtr_t | nodeTo,
|  | const std::string & | transitionName,
|  | int | w,
|  | PyWStatePtr_t | isInState )

## ◆ createWaypointTransition()

PyWEdgePtr_t pyhpp::manipulation::PyWGraph::createWaypointTransition | ( | PyWStatePtr_t | nodeFrom,
|  | PyWStatePtr_t | nodeTo,
|  | const std::string & | edgeName,
|  | int | nb,
|  | int | w,
|  | PyWStatePtr_t | isInState,
|  | bool | automaticBuilder )

## ◆ display()

void pyhpp::manipulation::PyWGraph::display | ( | const char * | filename | ) |

## ◆ displayStateConstraints()

std::string pyhpp::manipulation::PyWGraph::displayStateConstraints | ( | PyWStatePtr_t | state | ) |

## ◆ displayTransitionConstraints()

std::string pyhpp::manipulation::PyWGraph::displayTransitionConstraints | ( | PyWEdgePtr_t | edge | ) |

## ◆ displayTransitionTargetConstraints()

std::string pyhpp::manipulation::PyWGraph::displayTransitionTargetConstraints | ( | PyWEdgePtr_t | edge | ) |

## ◆ errorThreshold() [1/2]

value_type pyhpp::manipulation::PyWGraph::errorThreshold | ( |  | ) | const

## ◆ errorThreshold() [2/2]

void pyhpp::manipulation::PyWGraph::errorThreshold | ( | const value_type & | threshold | ) |

## ◆ generateTargetConfig()

boost::python::tuple pyhpp::manipulation::PyWGraph::generateTargetConfig | ( | PyWEdgePtr_t | transition,
|  | ConfigurationIn_t | q_rhs,
|  | ConfigurationIn_t | input )

## ◆ getConfigErrorForState()

boost::python::tuple pyhpp::manipulation::PyWGraph::getConfigErrorForState | ( | PyWStatePtr_t | component,
|  | ConfigurationIn_t | input )

## ◆ getConfigErrorForTransition()

boost::python::tuple pyhpp::manipulation::PyWGraph::getConfigErrorForTransition | ( | PyWEdgePtr_t | edge,
|  | ConfigurationIn_t | input )

## ◆ getConfigErrorForTransitionLeaf()

boost::python::tuple pyhpp::manipulation::PyWGraph::getConfigErrorForTransitionLeaf | ( | const PyWEdgePtr_t & | edge,
|  | ConfigurationIn_t | leafConfig,
|  | ConfigurationIn_t | config ) const

## ◆ getConfigErrorForTransitionTarget()

boost::python::tuple pyhpp::manipulation::PyWGraph::getConfigErrorForTransitionTarget | ( | const PyWEdgePtr_t & | edge,
|  | ConfigurationIn_t | leafConfig,
|  | ConfigurationIn_t | config ) const

## ◆ getContainingNode()

std::string pyhpp::manipulation::PyWGraph::getContainingNode | ( | PyWEdgePtr_t | edge | ) |

## ◆ getNodesConnectedByTransition()

boost::python::tuple pyhpp::manipulation::PyWGraph::getNodesConnectedByTransition | ( | PyWEdgePtr_t | edge | ) |

## ◆ getNumericalConstraintsForEdge()

boost::python::list pyhpp::manipulation::PyWGraph::getNumericalConstraintsForEdge | ( | PyWEdgePtr_t | component | ) |

## ◆ getNumericalConstraintsForGraph()

boost::python::list pyhpp::manipulation::PyWGraph::getNumericalConstraintsForGraph | ( |  | ) |

## ◆ getNumericalConstraintsForState()

boost::python::list pyhpp::manipulation::PyWGraph::getNumericalConstraintsForState | ( | PyWStatePtr_t | component | ) |

## ◆ getRelativeMotionMatrix()

boost::python::list pyhpp::manipulation::PyWGraph::getRelativeMotionMatrix | ( | PyWEdgePtr_t | edge | ) |

## ◆ getSecurityMarginMatrixForTransition()

boost::python::list pyhpp::manipulation::PyWGraph::getSecurityMarginMatrixForTransition | ( | PyWEdgePtr_t | edge | ) |

## ◆ getState()

PyWStatePtr_t pyhpp::manipulation::PyWGraph::getState | ( | const std::string & | stateName | ) |

## ◆ getStateFromConfiguration()

std::string pyhpp::manipulation::PyWGraph::getStateFromConfiguration | ( | ConfigurationIn_t | input | ) |

## ◆ getStateNames()

boost::python::list pyhpp::manipulation::PyWGraph::getStateNames | ( |  | ) |

## ◆ getStates()

boost::python::list pyhpp::manipulation::PyWGraph::getStates | ( |  | ) |

## ◆ getTransition()

PyWEdgePtr_t pyhpp::manipulation::PyWGraph::getTransition | ( | const std::string & | edgeName | ) |

## ◆ getTransitionNames()

boost::python::list pyhpp::manipulation::PyWGraph::getTransitionNames | ( |  | ) |

## ◆ getTransitions()

boost::python::list pyhpp::manipulation::PyWGraph::getTransitions | ( |  | ) |

## ◆ getWeight()

size_t pyhpp::manipulation::PyWGraph::getWeight | ( | PyWEdgePtr_t | edge | ) |

## ◆ initialize()

void pyhpp::manipulation::PyWGraph::initialize | ( |  | ) |

## ◆ isShort()

bool pyhpp::manipulation::PyWGraph::isShort | ( | PyWEdgePtr_t | edge | ) |

## ◆ maxIterations() [1/2]

size_type pyhpp::manipulation::PyWGraph::maxIterations | ( |  | ) | const

## ◆ maxIterations() [2/2]

void pyhpp::manipulation::PyWGraph::maxIterations | ( | size_type | iterations | ) |

## ◆ registerConstraints()

void pyhpp::manipulation::PyWGraph::registerConstraints | ( | const ImplicitPtr_t & | constraint,
|  | const ImplicitPtr_t & | complement,
|  | const ImplicitPtr_t & | both )

## ◆ removeCollisionPairFromTransition()

void pyhpp::manipulation::PyWGraph::removeCollisionPairFromTransition | ( | PyWEdgePtr_t | edge,
|  | const char * | joint1,
|  | const char * | joint2 )

## ◆ resetConstraints()

void pyhpp::manipulation::PyWGraph::resetConstraints | ( | PyWStatePtr_t | component | ) |

## ◆ setContainingNode()

void pyhpp::manipulation::PyWGraph::setContainingNode | ( | PyWEdgePtr_t | edge,
|  | PyWStatePtr_t | node )

## ◆ setSecurityMarginForTransition()

void pyhpp::manipulation::PyWGraph::setSecurityMarginForTransition | ( | PyWEdgePtr_t | edge,
|  | const char * | joint1,
|  | const char * | joint2,
|  | double | margin )

## ◆ setShort()

void pyhpp::manipulation::PyWGraph::setShort | ( | PyWEdgePtr_t | edge,
|  | bool | isShort )

## ◆ setTargetNodeList()

void pyhpp::manipulation::PyWGraph::setTargetNodeList | ( | const boost::python::list & | nodes | ) |

## ◆ setWaypoint()

void pyhpp::manipulation::PyWGraph::setWaypoint | ( | PyWEdgePtr_t | waypointEdge,
|  | int | index,
|  | PyWEdgePtr_t | edge,
|  | PyWStatePtr_t | state )

## ◆ setWeight()

void pyhpp::manipulation::PyWGraph::setWeight | ( | PyWEdgePtr_t | edge,
|  | int | weight )

## ◆ transitionAtParam()

PyWEdgePtr_t pyhpp::manipulation::PyWGraph::transitionAtParam | ( | hpp::core::PathVectorPtr_t | path,
|  | value_type | param )
| static

## Member Data Documentation

## ◆ constraintsAndComplements

ConstraintsAndComplements_t pyhpp::manipulation::PyWGraph::constraintsAndComplements

## ◆ id

std::map<std::string, std::size_t> pyhpp::manipulation::PyWGraph::id

## ◆ obj

GraphPtr_t pyhpp::manipulation::PyWGraph::obj

## ◆ problem

PyWProblemPtr_t pyhpp::manipulation::PyWGraph::problem

## ◆ robot

PyWDevicePtr_t pyhpp::manipulation::PyWGraph::robot

The documentation for this struct was generated from the following files:

- src/pyhpp/manipulation/graph.hh
- src/pyhpp/manipulation/graph.cc